public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: media-gfx/glimpse/, media-gfx/glimpse/files/
@ 2020-08-31  9:48 Andrew Ammerlaan
  0 siblings, 0 replies; 2+ messages in thread
From: Andrew Ammerlaan @ 2020-08-31  9:48 UTC (permalink / raw
  To: gentoo-commits

commit:     466d7126d0872892574eadd3c6f6e96d6f91ea02
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Sun Aug 30 23:50:50 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Aug 31 01:02:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=466d7126

media-gfx/glimpse: New package.

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 media-gfx/glimpse/Manifest                         |   1 +
 .../files/glimpse-0.2_fix_test-appdata.patch       |  15 ++
 media-gfx/glimpse/glimpse-0.2.0.ebuild             | 207 +++++++++++++++++++++
 media-gfx/glimpse/metadata.xml                     |  20 ++
 4 files changed, 243 insertions(+)

diff --git a/media-gfx/glimpse/Manifest b/media-gfx/glimpse/Manifest
new file mode 100644
index 0000000..a4589c8
--- /dev/null
+++ b/media-gfx/glimpse/Manifest
@@ -0,0 +1 @@
+DIST glimpse-0.2.0.tar.gz 42734079 BLAKE2B 3531bc2a125c54f3ca3e3b3bd60366065393f633b1a537a32b5bec80b151f8ebdfbd815fc9b3e476e2af42fb5f854a48c5714a08640ccd259f46b94d79c084f1 SHA512 6fccb418b8c233fb870b6bced728366e4fe935da0400f340fca14befc261b338d1a9d077c3f77358cb1df824df601f11aff473f1ce8e8086f3884f0ab93a795f

diff --git a/media-gfx/glimpse/files/glimpse-0.2_fix_test-appdata.patch b/media-gfx/glimpse/files/glimpse-0.2_fix_test-appdata.patch
new file mode 100644
index 0000000..25bf0b4
--- /dev/null
+++ b/media-gfx/glimpse/files/glimpse-0.2_fix_test-appdata.patch
@@ -0,0 +1,15 @@
+diff --git a/desktop/test-appdata.sh.in b/desktop/test-appdata.sh.in
+index 25be96b1c8..fb674360d9 100755
+--- a/desktop/test-appdata.sh.in
++++ b/desktop/test-appdata.sh.in
+@@ -2,7 +2,7 @@
+
+ # TODO: use validate-strict when the last errors for a strict validation
+ # are fixed.
+-appstream-util validate-relax ${GIMP_TESTING_ABS_TOP_BUILDDIR}/desktop/org.glimpse_editor.Glimpse.appdata.xml && \
+-appstream-util validate-relax ${GIMP_TESTING_ABS_TOP_BUILDDIR}/desktop/glimpse-data-extras.metainfo.xml && \
++appstream-util validate-relax --nonet ${GIMP_TESTING_ABS_TOP_BUILDDIR}/desktop/org.glimpse_editor.Glimpse.appdata.xml && \
++appstream-util validate-relax --nonet ${GIMP_TESTING_ABS_TOP_BUILDDIR}/desktop/glimpse-data-extras.metainfo.xml && \
+ if [ $(expr @GIMP_MICRO_VERSION@ % 2) = 0 ]; then
+   grep TODO ${GIMP_TESTING_ABS_TOP_BUILDDIR}/desktop/org.glimpse_editor.Glimpse.appdata.xml
+   if [ $? = 0 ]; then

diff --git a/media-gfx/glimpse/glimpse-0.2.0.ebuild b/media-gfx/glimpse/glimpse-0.2.0.ebuild
new file mode 100644
index 0000000..4fa67cc
--- /dev/null
+++ b/media-gfx/glimpse/glimpse-0.2.0.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Based on media-gfx/gimp-2.10.18-r2.ebuild
+
+EAPI=6 # gnome2.eclass doesn't work with EAPI 7.
+GNOME2_EAUTORECONF=yes
+WANT_AUTOMAKE=
+
+inherit autotools gnome2 virtualx
+
+DESCRIPTION="Image editor based on the GNU Image Manipulation Program"
+HOMEPAGE="https://glimpse-editor.org/"
+SRC_URI="https://github.com/glimpse-editor/Glimpse/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+ LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="aalib alsa aqua debug doc gnome heif jpeg2k mng openexr postscript test udev unwind vector-icons webp wmf xpm cpu_flags_ppc_altivec cpu_flags_x86_mmx cpu_flags_x86_sse"
+
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}/Glimpse-${PV}"
+
+COMMON_DEPEND="
+	>=app-text/poppler-0.50[cairo]
+	>=app-text/poppler-data-0.4.7
+	>=dev-libs/atk-2.2.0
+	>=dev-libs/glib-2.56.0:2
+	>=dev-libs/json-glib-1.2.6
+	dev-libs/libxml2:2
+	dev-libs/libxslt
+	>=gnome-base/librsvg-2.40.6:2
+	>=media-gfx/mypaint-brushes-1.3.1:=
+	>=media-libs/babl-0.1.78
+	>=media-libs/fontconfig-2.12.4
+	>=media-libs/freetype-2.1.7
+	>=media-libs/gegl-0.4.22:0.4[cairo]
+	>=media-libs/gexiv2-0.10.6
+	>=media-libs/harfbuzz-0.9.19
+	>=media-libs/lcms-2.8:2
+	>=media-libs/libmypaint-1.5.1:=
+	>=media-libs/libpng-1.6.25:0=
+	>=media-libs/tiff-3.5.7:0
+	net-libs/glib-networking[ssl]
+	sys-libs/zlib
+	virtual/jpeg
+	>=x11-libs/cairo-1.12.2
+	>=x11-libs/gdk-pixbuf-2.31:2
+	>=x11-libs/gtk+-2.24.32:2
+	x11-libs/libXcursor
+	>=x11-libs/pango-1.29.4
+	aalib? ( media-libs/aalib )
+	alsa? ( >=media-libs/alsa-lib-1.0.0 )
+	aqua? ( >=x11-libs/gtk-mac-integration-2.0.0 )
+	heif? ( >=media-libs/libheif-1.3.2:= )
+	jpeg2k? ( >=media-libs/openjpeg-2.1.0:2= )
+	mng? ( media-libs/libmng:= )
+	openexr? ( >=media-libs/openexr-1.6.1:= )
+	postscript? ( app-text/ghostscript-gpl )
+	udev? ( dev-libs/libgudev:= )
+	unwind? ( >=sys-libs/libunwind-1.1.0:= )
+	webp? ( >=media-libs/libwebp-0.6.0:= )
+	wmf? ( >=media-libs/libwmf-0.2.8 )
+	xpm? ( x11-libs/libXpm )
+"
+
+RDEPEND="
+	!media-gfx/gimp
+	${COMMON_DEPEND}
+	x11-themes/hicolor-icon-theme
+	gnome? ( gnome-base/gvfs )
+"
+
+DEPEND="
+	${COMMON_DEPEND}
+	>=dev-lang/perl-5.10.0
+	dev-libs/appstream-glib
+	dev-util/gtk-update-icon-cache
+	>=dev-util/intltool-0.40.1
+	sys-apps/findutils
+	>=sys-devel/gettext-0.19
+	>=sys-devel/libtool-2.2
+	virtual/pkgconfig
+	doc? ( dev-util/gtk-doc )
+	test? ( x11-base/xorg-server[xvfb] )
+"
+
+# TODO: Add BDEPEND after switch to EAPI 7.
+
+DOCS=( "AUTHORS" "HACKING.md" "NEWS" "README.md" )
+
+# Bug 685210 (and duplicate bug #691070)
+PATCHES=(
+	"${FILESDIR}/${PN}-0.2_fix_test-appdata.patch"
+)
+
+src_prepare() {
+	if has_version "media-gfx/mypaint-brushes:2.0" ; then
+		sed -i -e 's/mypaint-brushes-1.0/mypaint-brushes-2.0/' configure.ac \
+			|| die # bug #737794
+	fi
+
+	# Disable system CFLAGS suppressing on SSE{2,4.1} support tests by addition
+	# of {SSE2,SSE4_1}_EXTRA_CFLAGS: bug #702554
+	sed -i -e 's:\$intrinsics_save_CFLAGS \$SSE2_EXTRA_CFLAGS:\$SSE2_EXTRA_CFLAGS \$intrinsics_save_CFLAGS:' \
+		-e 's:\$intrinsics_save_CFLAGS \$SSE4_1_EXTRA_CFLAGS:\$SSE4_1_EXTRA_CFLAGS \$intrinsics_save_CFLAGS:' configure.ac || die
+
+	sed -i -e 's/== "xquartz"/= "xquartz"/' configure.ac || die # bug #494864
+	sed 's:-DGIMP_DISABLE_DEPRECATED:-DGIMP_protect_DISABLE_DEPRECATED:g' \
+		-i configure.ac || die # bug #615144
+
+	# Would normally be generated by autogen.sh.
+	! use doc && (echo "EXTRA_DIST = missing-gtk-doc" > gtk-doc.make || die)
+	gnome2_src_prepare  # calls eautoreconf
+
+	sed 's:-DGIMP_protect_DISABLE_DEPRECATED:-DGIMP_DISABLE_DEPRECATED:g' \
+		-i configure || die # bug #615144
+	fgrep -q GIMP_DISABLE_DEPRECATED configure || die # bug #615144, self-test
+}
+
+_adjust_sandbox() {
+	# Bug #569738 and bug #591214
+	local nv
+	for nv in /dev/nvidia-uvm /dev/nvidiactl /dev/nvidia{0..9} ; do
+		# We do not check for existence as they may show up later
+		# https://bugs.gentoo.org/show_bug.cgi?id=569738#c21
+		addwrite "${nv}"
+	done
+
+	addwrite /dev/dri/  # bug #574038 and bug #684886
+	addwrite /dev/ati/  # bug #589198
+	addwrite /proc/mtrr # bug #589198
+}
+
+src_configure() {
+	_adjust_sandbox
+
+	local myconf=(
+		GEGL="${EPREFIX}"/usr/bin/gegl-0.4
+
+		--enable-default-binary
+
+		--disable-check-update
+		--enable-mp
+		--with-appdata-test
+		--with-bug-report-url=https://bugs.gentoo.org/
+		--with-xmc
+		--without-libbacktrace
+		--without-webkit
+		--without-xvfb-run
+		--disable-python
+		$(use_enable cpu_flags_ppc_altivec altivec)
+		$(use_enable cpu_flags_x86_mmx mmx)
+		$(use_enable cpu_flags_x86_sse sse)
+		$(use_enable vector-icons)
+		$(use_with aalib aa)
+		$(use_with alsa)
+		$(use_with !aqua x)
+		$(use_with heif libheif)
+		$(use_with jpeg2k jpeg2000)
+		$(use_with mng libmng)
+		$(use_with openexr)
+		$(use_with postscript gs)
+		$(use_with udev gudev)
+		$(use_with unwind libunwind)
+		$(use_with webp)
+		$(use_with wmf)
+		$(use_with xpm libxpm)
+	)
+
+	gnome2_src_configure "${myconf[@]}"
+}
+
+src_compile() {
+	export XDG_DATA_DIRS="${EPREFIX}"/usr/share  # bug 587004
+	gnome2_src_compile
+}
+
+src_test() {
+	virtx emake check
+}
+
+src_install() {
+	gnome2_src_install
+
+	# Workaround for bug #321111 to give Glimpse the least
+	# precedence on PDF documents by default
+	mv "${ED%/}"/usr/share/applications/{,zzz-}org.glimpse_editor.Glimpse.desktop || die
+
+	find "${D}" -name '*.la' -type f -delete || die
+
+	# Prevent dead symlink gimp-console.1 from downstream man page compression
+	# (bug #433527)
+	local gimp_app_version=$(grep '\[gimp_app_version' configure.ac \
+								 | sed -E 's/.*\[([2-9]\.[0-9]+)\].*/\1/')
+	mv "${ED%/}"/usr/share/man/man1/gimp-console{-${gimp_app_version},}.1 || die
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+}
+
+pkg_postrm() {
+	gnome2_pkg_postrm
+}

diff --git a/media-gfx/glimpse/metadata.xml b/media-gfx/glimpse/metadata.xml
new file mode 100644
index 0000000..ee7030a
--- /dev/null
+++ b/media-gfx/glimpse/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>gentoo@tastytea.de</email>
+		<name>Ronny (tastytea) Gutbrod</name>
+	</maintainer>
+	<upstream>
+		<bugs-to>https://github.com/glimpse-editor/Glimpse/issues</bugs-to>
+		<remote-id type="github">glimpse-editor/Glimpse</remote-id>
+	</upstream>
+	<use>
+		<flag name="heif">
+			Enable support for ISO/IEC 23008-12:2017 HEIF files
+		</flag>
+		<flag name="vector-icons">
+			Enable support for vector icons (experimental)
+		</flag>
+	</use>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: media-gfx/glimpse/, media-gfx/glimpse/files/
@ 2021-03-18 10:24 Andrew Ammerlaan
  0 siblings, 0 replies; 2+ messages in thread
From: Andrew Ammerlaan @ 2021-03-18 10:24 UTC (permalink / raw
  To: gentoo-commits

commit:     4f6bf982120b725c5562bfd8ed609c52d3ab8a70
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Wed Mar 17 10:49:53 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Mar 17 10:49:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4f6bf982

media-gfx/glimpse: Fix patch file-name.

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 ...-0.2_fix_test-appdata.patch => glimpse-0.2.0_fix_test-appdata.patch} | 0
 media-gfx/glimpse/glimpse-0.2.0.ebuild                                  | 2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/glimpse/files/glimpse-0.2_fix_test-appdata.patch b/media-gfx/glimpse/files/glimpse-0.2.0_fix_test-appdata.patch
similarity index 100%
rename from media-gfx/glimpse/files/glimpse-0.2_fix_test-appdata.patch
rename to media-gfx/glimpse/files/glimpse-0.2.0_fix_test-appdata.patch

diff --git a/media-gfx/glimpse/glimpse-0.2.0.ebuild b/media-gfx/glimpse/glimpse-0.2.0.ebuild
index 47f619d2..856d85e7 100644
--- a/media-gfx/glimpse/glimpse-0.2.0.ebuild
+++ b/media-gfx/glimpse/glimpse-0.2.0.ebuild
@@ -92,7 +92,7 @@ BDEPEND="
 DOCS=( "AUTHORS" "HACKING.md" "NEWS" "README.md" )
 
 PATCHES=(
-	"${FILESDIR}/${PN}-0.2_fix_test-appdata.patch" # Bug 685210, bug #691070
+	"${FILESDIR}/${PN}-0.2.0_fix_test-appdata.patch" # Bug 685210, bug #691070
 	"${FILESDIR}/${PN}-0.2.0_fix_autoconf-2.70.patch" # Bug #776679
 )
 


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-03-18 10:24 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-03-18 10:24 [gentoo-commits] repo/proj/guru:master commit in: media-gfx/glimpse/, media-gfx/glimpse/files/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2020-08-31  9:48 Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox